Click Airtime

Supported Countries

List the countries your account can send airtime to, along with their available networks.

Supported Countries

Retrieve a list of countries your account is provisioned for, along with their available mobile networks.

GET /v2/catalog/countries

Permission required: airtime.read

This list is scoped to your account. It returns only the countries your company has been provisioned for (via the wallets and network access on file). If you need access to a country that isn't listed, contact your account manager. To browse the full set of countries the platform supports, request country access via the Enterprise Portal.

Example Request

curl -X GET "https://api.clickairtime.com/v2/catalog/countries" \
  -H "Authorization: Bearer ce_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
const response = await fetch('https://api.clickairtime.com/v2/catalog/countries', {
  headers: {
    'Authorization': 'Bearer ce_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
  },
});
const data = await response.json();
import requests

response = requests.get(
    'https://api.clickairtime.com/v2/catalog/countries',
    headers={
        'Authorization': 'Bearer ce_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
    }
)
data = response.json()

Example Response

{
  "success": true,
  "data": [
    {
      "country_code": "GH",
      "country_name": "Ghana",
      "currency": "GHS",
      "networks": [
        { "id": 42, "name": "MTN Ghana" },
        { "id": 43, "name": "Vodafone Ghana" },
        { "id": 44, "name": "AirtelTigo Ghana" }
      ]
    },
    {
      "country_code": "NG",
      "country_name": "Nigeria",
      "currency": "NGN",
      "networks": [
        { "id": 51, "name": "MTN Nigeria" },
        { "id": 52, "name": "Airtel Nigeria" },
        { "id": 53, "name": "Glo Nigeria" },
        { "id": 54, "name": "9mobile Nigeria" }
      ]
    },
    {
      "country_code": "KE",
      "country_name": "Kenya",
      "currency": "KES",
      "networks": [
        { "id": 61, "name": "Safaricom Kenya" },
        { "id": 62, "name": "Airtel Kenya" }
      ]
    }
  ],
  "meta": {
    "request_id": "req_a1b2c3d4e5f6",
    "timestamp": "2024-01-15T10:30:00.000Z"
  }
}

Response Fields

FieldTypeDescription
country_codestringISO 2-letter country code
country_namestringFull country name
currencystringLocal currency code
networksarrayAvailable mobile networks
networks[].idintegerNetwork ID (use in catalog lookup or topup)
networks[].namestringNetwork operator name